/**
 * @param {BytesReader} reader
 * @returns {CarDecoder}
 */
export function createDecoder(reader: BytesReader): CarDecoder;
/**
 * @param {Uint8Array} bytes
 * @returns {BytesReader}
 */
export function bytesReader(bytes: Uint8Array): BytesReader;
/**
 * @param {AsyncIterable<Uint8Array>} asyncIterable
 * @returns {BytesReader}
 */
export function asyncIterableReader(asyncIterable: AsyncIterable<Uint8Array>): BytesReader;
export type Block = {
    cid: CID;
    bytes: Uint8Array;
};
export type BlockHeader = {
    cid: CID;
    length: number; /**
     * @typedef {import('../api').Block} Block
     * @typedef {import('../api').BlockHeader} BlockHeader
     * @typedef {import('../api').BlockIndex} BlockIndex
     * @typedef {import('./coding').BytesReader} BytesReader
     * @typedef {import('./coding').CarHeader} CarHeader
     * @typedef {import('./coding').CarDecoder} CarDecoder
     */
    blockLength: number;
};
export type BlockIndex = import("../api").BlockHeader & {
    offset: number;
    blockOffset: number;
};
export type BytesReader = import("./coding").BytesReader;
export type CarHeader = {
    version: number;
    roots: CID[];
};
export type CarDecoder = import("./coding").CarDecoder;
import { CID } from "multiformats";
//# sourceMappingURL=decoder.d.ts.map