export type CID = import("multiformats").CID;
export type Block = {
    /**
     * @typedef {import('multiformats').CID} CID
     * @typedef {import('../api').Block} Block
     * @typedef {import('./coding').CarEncoder} CarEncoder
     * @typedef {import('./coding').IteratorChannel_Writer<Uint8Array>} IteratorChannel_Writer
     */
    /**
     * @param {IteratorChannel_Writer} writer
     * @returns {CarEncoder}
     */
    cid: import("multiformats").CID;
    bytes: Uint8Array;
};
export type CarEncoder = import("./coding").CarEncoder;
export type IteratorChannel_Writer = import("./coding").IteratorChannel_Writer<Uint8Array>;
/**
 * @typedef {import('multiformats').CID} CID
 * @typedef {import('../api').Block} Block
 * @typedef {import('./coding').CarEncoder} CarEncoder
 * @typedef {import('./coding').IteratorChannel_Writer<Uint8Array>} IteratorChannel_Writer
 */
/**
 * @param {IteratorChannel_Writer} writer
 * @returns {CarEncoder}
 */
export function createEncoder(writer: import("./coding").IteratorChannel_Writer<Uint8Array>): CarEncoder;
//# sourceMappingURL=encoder.d.ts.map