export type Block = {
    cid: CID;
    bytes: Uint8Array;
};
/**
 * @param {any} object
 * @param {{code: number, encode: (obj: any) => Uint8Array}} codec
 * @param {number} version
 * @returns {Promise<Block & { object: any }>}
 */
export function toBlock(object: any, codec: {
    code: number;
    encode: (obj: any) => Uint8Array;
}, version?: number): Promise<Block & {
    object: any;
}>;
export const assert: any;
export function makeData(): Promise<{
    rawBlocks: import("../api").Block[];
    pbBlocks: import("../api").Block[];
    cborBlocks: import("../api").Block[];
    allBlocks: [string, import("../api").Block[]][];
    allBlocksFlattened: import("../api").Block[];
}>;
/**
 * @param {Uint8Array} data
 * @param {number} chunkSize
 * @returns {AsyncIterable<Uint8Array>}
 */
export function makeIterable(data: Uint8Array, chunkSize: number): AsyncIterable<Uint8Array>;
export const rndCid: CID;
export const carBytes: Uint8Array;
export const goCarBytes: Uint8Array;
export const goCarRoots: CID[];
export const goCarIndex: {
    cid: CID;
    offset: number;
    length: number;
    blockOffset: number;
    blockLength: number;
}[];
import { CID } from "multiformats";
//# sourceMappingURL=common.d.ts.map