export type CID = import("multiformats").CID;
export type Block = {
    cid: import("multiformats").CID;
    bytes: Uint8Array;
};
export type RootsReader = import("../api.js").RootsReader;
export type BlockIterator = import("../api.js").BlockIterator;
export type CIDIterator = import("../api.js").CIDIterator;
export type BlockReader = import("../api.js").BlockReader;
/**
 * @param {RootsReader} reader
 */
export function verifyRoots(reader: RootsReader): Promise<void>;
/**
 * @param {BlockReader} reader
 */
export function verifyHas(reader: BlockReader): Promise<void>;
/**
 * @param {BlockReader} reader
 */
export function verifyGet(reader: BlockReader): Promise<void>;
/**
 * @param {BlockIterator} iterator
 * @param {boolean | void} unordered
 */
export function verifyBlocks(iterator: BlockIterator, unordered: boolean | void): Promise<void>;
/**
 * @param {CIDIterator} iterator
 * @param {boolean | void} unordered
 */
export function verifyCids(iterator: CIDIterator, unordered: boolean | void): Promise<void>;
//# sourceMappingURL=verify-store-reader.d.ts.map